Page MenuHomeFreeBSD

Mk/bsd.sites.mk: Add entry for crates.io
ClosedPublic

Authored by tobik on Feb 9 2019, 9:40 AM.
Tags
None
Referenced Files
Unknown Object (File)
Mon, Jul 8, 10:37 AM
Unknown Object (File)
Tue, Jun 25, 11:13 AM
Unknown Object (File)
May 31 2024, 10:55 AM
Unknown Object (File)
May 4 2024, 8:23 PM
Unknown Object (File)
Apr 26 2024, 2:22 AM
Unknown Object (File)
Apr 25 2024, 6:54 AM
Unknown Object (File)
Apr 20 2024, 8:18 PM
Unknown Object (File)
Apr 20 2024, 12:56 PM
Subscribers

Details

Summary

This simplifies cargo.mk a bit, but also allows porters to more
easily pull distfiles directly from crates.io instead of from GitHub
when they have been published there. See devel/tokei as an example
port that can make use of this.

Test Plan
  1. Clear ${DISTDIR}/rust/crates
  2. make checksum

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

Remove portmgr, not a maintainer of anything here.

In D19133#409197, @mat wrote:

Remove portmgr, not a maintainer of anything here.

Can the Herald rule (H12?) be fixed to not auto-add portmgr to reviews for things portmgr doesn't care about? Clearly the basic trigger of "has affected files under Mk/" is broken, because portmgr was added back in as a blocking reviewer immediately here.

This revision was not accepted when it landed; it landed in state Needs Review.Feb 15 2019, 12:05 PM
This revision was automatically updated to reflect the committed changes.